#ifndef GLCANVAS_H
#define GLCANVAS_H

#include <wx/glcanvas.h>
#include <GL/glu.h>

class GLCanvas : public wxGLCanvas
{
public:
    enum
    {
        MOUSE_LEFT = 1,
        MOUSE_MIDDLE = 2,
        MOUSE_RIGHT = 3
    };

    enum
    {
        KEY_ALT = 4,
        KEY_SHIFT = 2,
        KEY_CTRL = 1
    };

public:
	GLCanvas(wxWindow* parent, wxWindowID id = wxID_ANY, const wxPoint& pos = wxDefaultPosition,
		     const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = "GLCanvas");
	~GLCanvas();

protected:
    void SetTransformMatrix();

    ////////////// event handlers //////////////////////
	void OnSize(wxSizeEvent& event);
    void OnPaint(wxPaintEvent& event);
	void OnLeftButtonDown(wxMouseEvent &event);
	void OnLeftButtonUp(wxMouseEvent &event);
	void OnLeftButtonDoubleClick(wxMouseEvent &event);
	void OnMiddleButtonDown(wxMouseEvent &event);
	void OnMiddleButtonUp(wxMouseEvent &event);
	void OnMiddleButtonDoubleClick(wxMouseEvent &event);
	void OnRightButtonDown(wxMouseEvent &event);
	void OnRightButtonUp(wxMouseEvent &event);
	void OnRightButtonDoubleClick(wxMouseEvent &event);
	void OnMouseMotion(wxMouseEvent &event);

	void OnButtonDown(int mouse, wxMouseEvent &event);
	void OnButtonUp(int mouse, wxMouseEvent &event);
	void OnButtonDoubleClick(int mouse, wxMouseEvent &event);
    void MapScreenToData(int sx, int sy, double &dx, double &dy);
    int GetKeyStatus(const wxMouseEvent &event);

	DECLARE_EVENT_TABLE()

};


#endif

