#include <wx/wx.h>
#include "MyFrame.h"

BEGIN_EVENT_TABLE(MyFrame, wxFrame)
	EVT_CLOSE(MyFrame::OnCloseWindow)
	EVT_BUTTON(BUTTON_1, MyFrame::OnButton1)
	EVT_BUTTON(BUTTON_2, MyFrame::OnButton2)
END_EVENT_TABLE()

MyFrame::MyFrame(wxFrame *parent, int id, const wxChar *title, int xpos, int ypos, int width, int height)
       :wxFrame(parent, id, title, wxPoint(xpos, ypos), wxSize(width, height))
{
	wxToolBar *toolBar = CreateToolBar();
	wxButton *button1 = new wxButton(toolBar, BUTTON_1, "Button 1", wxPoint(-1,-1), wxSize(60,-1));
	toolBar->AddControl(button1);
	wxButton *button2 = new wxButton(toolBar, BUTTON_2, "Button 2", wxPoint(-1,-1), wxSize(60,-1));
	toolBar->AddControl(button2);
	toolBar->Realize();

    wxBoxSizer* sizer = new wxBoxSizer( wxVERTICAL );
	this->SetSizer(sizer); 

    glCanvas = new GLCanvas(this, -1, wxPoint(-1, -1), wxSize(width, height));
    sizer->Add(glCanvas, 1, wxEXPAND | wxALL, 2);

	Fit();
}

MyFrame::~MyFrame()
{
}

void MyFrame::OnCloseWindow(wxCloseEvent& WXUNUSED(event))
{
    this->Destroy();
}

void MyFrame::OnButton1(wxCommandEvent& event)
{
	//add your handler to the button 1 clicking event here
}

void MyFrame::OnButton2(wxCommandEvent& event)
{
	//add your handler to the button 2 clicking event here
}
